%% Script of the estimation of the vector of the frequency charactericts, 
% the complex gain g and the phase phi
%
%% Description
%
% In that script the function spectro_tfe.m is called to estimate frequency
% characteristics, g and phi,of signals used to the sponge experiments.
% This script builds on the runningscript.m
%
i = length(x1s);
for z = 1:2;
for n = 1:i
    f0 = [0.1, 0.125, 0.25, 0.5, 1, 2, 4, 8, 10, 16, 32, 64, 100];
    x1 = x1s{1,n};
    x2 = x2s{z,n};
    t = 1:length(x1);
    f0 = f0(n);
    [g(z,n), phi(z,n)] = spectro_tfe(x1, x2, f0, fs, t);
end
end